Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum Sample.PartitionMethod

    java.lang.Object
      java.lang.Enum<Sample.PartitionMethod>
          de.jstacs.data.Sample.PartitionMethod

All Implemented Interfaces:
  Serializable, Comparable<Sample.PartitionMethod>

Enclosing class:
  Sample

    public static enum Sample.PartitionMethod

extends Enum<Sample.PartitionMethod>

This `enum` defines different partition methods for a `Sample`.

Author:
  Jens Keilwagen
See Also:
  `Sample.partition(PartitionMethod, double...)`, `Sample.partition(int, PartitionMethod)`, `Sample.partition(double, PartitionMethod, int)`

Enum Constant Summary
`PARTITION_BY_NUMBER_OF_ELEMENTS` This value indicates that the `Sample` will be split by the number of elements.
`PARTITION_BY_NUMBER_OF_SYMBOLS` This value indicates that the `Sample` will be split by the number of "symbols".

Method Summary
`static Sample.PartitionMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sample.PartitionMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARTITION_BY_NUMBER_OF_ELEMENTS

    public static final Sample.PartitionMethod PARTITION_BY_NUMBER_OF_ELEMENTS

  This value indicates that the `Sample` will be split by the number of elements.

### PARTITION_BY_NUMBER_OF_SYMBOLS

    public static final Sample.PartitionMethod PARTITION_BY_NUMBER_OF_SYMBOLS

  This value indicates that the `Sample` will be split by the number of "symbols".

Method Detail

### values

    public static final Sample.PartitionMethod[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Sample.PartitionMethod c : Sample.PartitionMethod.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Sample.PartitionMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD